#!/bin/sh
#  /usr/bin/restartWMs-gnl2.sh
#
# Requiert : | Requires: restartwm
# Goal: create *.desktop files to launch various window managers. |
# Objectif: créer des fichiers *.desktop pour lancer divers gest. de fen.
#
# -- Notes (EN) --
# 1) For use only with PuppyLinux or its derivatives. Other distros may NOT
# --- have the required < restartwm > script.
# 2) You can add one or more WM(s) to the WM.lst2 file. Check how it launches,
# --- however. If it launches as "startthingy", you will need to alter line 47 below.
# 3) In all cases, simply re-run this script to create a restart*.desktop file for it.
#
# -- Notes (FR) --
# 1) N'utiliser que dans Puppy Linux ou ses dérivés. Les autres distros n'ont peut-être
# --- pas le script < restartwm >.
# 2) Vous pouvez ajouter un ou des gest. de fen. au fichiers WM.lst2. Vérifiez comment il
# se lance. S'il commence par « startmachin », vous devrez altérer la ligne 47 ci-dessous.
# 3) Dans tous les cas, il suffit de vous servir à nouveau ce script pour créer
# --- un fichier restart*.desktop file pour ce gest. de fen.
#
# © Christian L'Écuyer,Gatineau (Qc), Canada,  Dec. 24 2017. GPL3
# (Alias musher0 [forum Puppy].) # Rév. Dec. 28 2017.
################# # https://opensource.org/licenses/GPL-3.0
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#    	This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    	You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##########
#	Ce programme est libre : vous pouvez le redistribuer ou modifier
#	selon les termes de la Licence Publique Générale GNU publiée par la
#	Free Software Foundation (v. 3 ou toute version ultérieure choisie par
#	vous).
#		Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS
#	AUCUNE GARANTIE, ni explicite ni implicite, y compris des garanties de
#	commercialisation ou d'adaptation à un but spécifique. Pour obtenir plus
# 	de détails, veuillez vous reporter au texte de cette licence à
#	https://opensource.org/licenses/GPL-3.0 pour le texte officiel, à
#	http://www.linux-france.org/article/these/gpl.html pour une traduction et à
#	https://fr.wikipedia.org/wiki/Licence_publique_générale_GNU pour une
#	explication en français.
################
####
Top="[Desktop Entry]
# Warning -- For use with PuppyLinux only.
# Avertissement -- Utiliser seulement avec PuppyLinux.
Encoding=UTF-8
Icon=/usr/share/pixmaps/puppy/startup.svg
Comment=Replaces your current window manager with this one.
Comment[fr]=Remplace votre gestionnaire de fenêtres actuel par celui-ci."

Bottom="Terminal=false
Type=Application
Categories=Utility
GenericName=WM Switcher
GenericName[fr]=Changeur de gestionnaire de fenêtre"

cd  /root/my-applications/restartWMs

while read line;do
	if [ "`which $line`" ];then # Only if you have this WM | Seulement si vous avez ce gest. de fen.
		RestartFile="/usr/share/applications/restart_$line.desktop"
		# "/mnt/ram1/restart_$line.desktop" # test

		case "$line" in fluxbox|kde|xfwm4) ExecLine="Exec=restartwm start$line" ;;
			*) ExecLine="Exec=restartwm $line" ;;
		esac

		echo -e "$Top\nName=Restart $line
Name[fr]=Redémarrer $line\n$ExecLine\n$Bottom\n" > $RestartFile
	fi
done <  /root/my-applications/restartWMs/WM.lst2
